Skip to main content
GET
/
v1
/
approvals
/
workflows
List approval workflows
curl --request GET \
  --url https://api.hyperline.co/v1/approvals/workflows \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "apw_DKL4Xcb5VSa8CQ",
      "name": "Enterprise quote approval",
      "description": "Requires approval for high-value subscription quotes.",
      "applicable_flows": [
        "quote_subscription"
      ],
      "is_active": true,
      "priority": 10,
      "rules": [
        {
          "id": "apr_DKL4Xcb5VSa8CQ",
          "operator": "and",
          "conditions": [
            {
              "field": "total_amount",
              "operator": "gte",
              "value": 100000
            }
          ]
        }
      ],
      "step_execution": "sequential",
      "email_notification_enabled": true,
      "steps": [
        {
          "id": "aps_DKL4Xcb5VSa8CQ",
          "name": "Finance approval",
          "order": 1,
          "approver_requirement": "any",
          "approver_role_ids": [
            "rol_DKL4Xcb5VSa8CQ"
          ],
          "approver_user_ids": [
            "usr_DKL4Xcb5VSa8CQ"
          ]
        }
      ],
      "version": 1,
      "original_workflow_id": null,
      "created_at": "2024-12-20T16:04:11Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

take
number | null
default:50
Required range: 0 <= x <= 100
skip
number | null
default:0
Required range: x >= 0
is_active

Only return workflows matching this active state.

Example:

true

Response

200 - application/json
meta
object
required
data
object[]
required

List of ApprovalWorkflow.